Bug 130785 - infinite loop in scsi error handler when command fails on MEDIUM ERROR
Summary: infinite loop in scsi error handler when command fails on MEDIUM ERROR
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-24 17:52 UTC by saeed bishara
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-07 16:27:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description saeed bishara 2004-08-24 17:52:05 UTC
Description of problem:
in the scsi error handler code, there is infinite loop that retries
the command without decreasing the retries count of the command

Version-Release number of selected component (if applicable):
kernel 2.4.21-9.EL

How reproducible:
send scsi command with short timeout to correpted sector

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Doug Ledford 2007-06-07 16:27:31 UTC
RHEL3 is in deep maintenance mode at this point and no further updates, other
than security issues, are planned.  Closing this bug out.


Note You need to log in before you can comment on or make changes to this bug.